2008-12-08  Thomas Schwinge  <tschwinge@gnu.org>

	* Makefile (HURDLIBS): New variable.

2008-07-19  Flávio Cruz  <flaviocruz@gmail.com>

	* file-get-translator.c (netfs_S_file_get_translator): Call major()
	and minor() macros.

2006-06-15  Thomas Schwinge  <tschwinge@gnu.org>

	* io-seek.c (netfs_S_io_seek): Return EINVAL if file pointer would
	become negative.

2004-09-12  Marco Gerards  <metgerards@student.han.nl>

	* io-select.c: Include <hurd/ports.h>.
	(netfs_S_io_select): Add arguments `reply' and `replytype'.
	* mutations.h (IO_SELECT_REPLY_PORT): New macro.

2004-07-27  Roland McGrath  <roland@frob.com>

	* misc.h (OPENONLY_STATE_MODES): Remove O_NONBLOCK.

2004-02-10  Roland McGrath  <roland@frob.com>

	* runtime-argp.c (netfs_runtime_argp): Include <argp.h>.

2002-06-13  Roland McGrath  <roland@frob.com>

	* dir-readdir.c (netfs_S_dir_readdir): Revert last change.

2002-06-08  Roland McGrath  <roland@frob.com>

	* io-identity.c (netfs_S_io_identity): Use ino_t for FILENO.

	* dir-readdir.c (netfs_S_dir_readdir): Use vm_size_t for AMT.

2002-06-07  Roland McGrath  <roland@frob.com>

	* netfs.h (struct node): Use io_statbuf_t instead of struct stat.
	(netfs_attempt_statfs): Use fsys_statfsbuf_t instead of struct statfs.
	(struct peropen): Use loff_t instead of off_t.
	(netfs_attempt_read, netfs_attempt_write): Likewise.
	(netfs_attempt_set_size, netfs_file_get_storage_info): Likewise.

2002-05-23  Marcus Brinkmann  <marcus@gnu.org>

	* io-read.c (netfs_S_io_read): If desired amount is larger than
	symlink length, truncate amount.  Actually use WHOLE_LINK to store
	link target temporarily.  When reading the link target directly,
	update *DATALEN.

2002-05-13  Roland McGrath  <roland@frob.com>

	* netfs.h (struct node): New member `nn_translated'.
	* dir-lookup.c (netfs_S_dir_lookup): Examine that in place of
	nn_stat.st_mode to decide if there is a passive translator.

2002-05-13  Marcus Brinkmann  <marcus@gnu.org>

	* io-version.c: New file.
	* Makefile (IOSRCS): Add io-version.c.
	* fsstubs.c (netfs_S_io_server_version): Function removed.
	* netfs.h (netfs_server_name, netfs_server_version): New external
	variables to be defined by the user.

2002-05-11  Roland McGrath  <roland@frob.com>

	* trans-callback.c (_netfs_translator_callback1_fn): Add an assert
	that netfs_get_translator not fail with EOPNOTSUPP.

2002-05-07  Roland McGrath  <roland@frob.com>

	* fsys-getroot.c (netfs_S_fsys_getroot): Fix arg type in decl.
	* append-std-options.c (netfs_append_std_options): Likewise.

	* file-exec.c (netfs_S_file_exec): u_int -> size_t in decl.
	* netfs.h (netfs_append_args): unsigned -> size_t in decl.

2002-05-04  Roland McGrath  <roland@frob.com>

	* io-restrict-auth.c (netfs_S_io_restrict_auth): Use
	iohelp_restrict_iouser.

2002-03-9  James A. Morrison <ja2morri@uwaterloo.ca>

 	* init-startup (netfs_startup): Use err, not errno.

2001-12-22  Roland McGrath  <roland@frob.com>

	* priv.h (begin_using_protid_port): Change extern inline decl
	into static inline with __attribute__ ((unused))
	(end_using_protid_port): Likewise.

2001-08-31  Marcus Brinkmann  <marcus@gnu.org>

	* file-get-translator.c (netfs_S_file_get_translator): If
	asprintf() fails, set ERR to errno.
	* dir-lookup.c (netfs_S_dir_lookup): Catch if asprintf() fails and
	return ENOMEM.  If netfs_make_protid() fails, set ERROR to errno,
	not ENOMEM.  Do this before freeing USER.
	* dir-mkfile.c (netfs_S_dir_mkfile): If netfs_make_protid() fails,
	set ERROR to errno and free USER.
	* file-exec.c (netfs_S_file_exec): Likewise.
	Reported by Igor Khavkine <i_khavki@alcor.concordia.ca>.

2001-06-21  Neal H Walfield  <neal@cs.uml.edu>

	* file-getcontrol.c (netfs_S_file_getcontrol): When checking if
	we can give the control port out, use fshelp_iscontroller rather
	than doing the check by hand.

2001-04-01  Neal H Walfield  <neal@cs.uml.edu>

	* dir-lookup.c (netfs_S_dir_lookup):  Use
	iohelp_create_empty_iouser.  Use iohelp_dup_iouser
	as per the new semantics.
	* dir-mkfile.c (netfs_S_dir_mkfile): Use iohelp_dup_iouser
	as per the new semantics.
	* file-exec.c (netfs_S_file_exec): Likewise.
	* file-reparent.c (netfs_S_file_reparent): Likewise.
	* fsys-getroot.c (netfs_S_fsys_getroot): Use
	iohelp_create_complex_iouser.
	* fsys-syncfs.c (netfs_S_fsys_syncfs): Use
	iohelp_create_simple_iouser.
	* io-duplicate.c (netfs_S_io_duplicate): Use iohelp_dup_iouser
	as per the new semantics.
	* io-reauthenticate.c (netfs_S_io_reauthenticate): Use
	iohelp_reauth as per the new semantics.
	* io-restrict-auth.c (netfs_S_io_restrict_auth): Use
	iohelp_create_complex_iouser.  Check return values.
	* trans-callback.c (_netfs_transcallback2_fn):	Use
	iohelp_create_simple_iouser.

2001-06-15  Neal H Walfield  <neal@cs.uml.edu>

        * file-set-translator.c (netfs_S_file_set_translator):  If
        FS_TRANS_ORPHAN is set, do not ask the active translator to go
        away, just disconnect it.

2001-04-01  Roland McGrath  <roland@frob.com>

	* Makefile (FSYSSRCS): Add fsys-goaway.c.
	* fsys-goaway.c: Don't include "priv.h" here.

2001-03-31  Neal H Walfield  <neal@cs.uml.edu>

	* fsysstubs.c (netfs_S_fsys_goaway): Moved to ...
        * fsys-goaway.c: New file.  Actually implement it.
	* shutdown.c (netfs_shutdown): Likewise.
        * Makefile (fsys-MIGSFLAGS): Add -DREPLY_PORTS, which we want for
	netfs_S_fsys_goaway.
        * fsys-get-options.c (netfs_S_fsys_getoptions): Add reply port
	arguments to declaration.
        * fsys-getroot.c (netfs_S_fsys_getroot): Likewise.
        * fsys-set-options.c (netfs_S_fsys_set_options): Likewise.
        * fsys-syncfs.c (netfs_S_fsys_syncfs): Likewise.
        * fsysstubs.c (netfs_S_fsys_getfile): Likewise.
        (netfs_S_fsys_getpriv): Likewise.
        (netfs_S_fsys_forward): Likewise.
        (netfs_S_fsys_startup): Likewise.

        * Makefile (MIGSTUBS): Add fsys_replyUser.o.

2001-01-15  Neal H Walfield   <neal@cs.uml.edu>

	* netfs.h: Added netfs_get_storage_info.
	* file-get-storage-info.c (netfs_S_get_storage_info): Calls
	netfs_get_storage_info instead of providing default response.
	* file-get-storage-info-default.c: New file.
	(netfs_get_storage_info):  Provides default response.

2001-01-30  Neal H Walfield   <neal@cs.uml.edu>

	* netfs.h: Fix comment for netfs_nref (finally).

2001-01-14  Neal H Walfield   <neal@cs.uml.edu>

	* netfs.h: Documentation fixes.

2000-12-30  Marcus Brinkmann  <marcus@gnu.org>

	* netfs.h: Revert doc "fix" of netfs_attempt_chmod.

2000-12-30  Marcus Brinkmann  <marcus@gnu.org>

	* netfs.h: Merge Neals words into documentation of netfs_nput,
	netfs_nrele, netfs_nref.

2000-12-30  Marcus Brinkmann  <marcus@gnu.org>

	* netfs.h: Adjust comment fixes by last change to be more in line
	with similar comments elsewhere.
	* make-node.c (netfs_make_node): Return 0 if malloc does.
	Reported by Neal H Walfield <neal@cs.uml.edu>.

2000-12-29  Neal H Walfield <neal@cs.uml.edu>

        * dir-lookup.c (netfs_S_dir_lookup):  Do not bother zeroing np, it
	happens later anyway.  Replace bcopy with memcpy.
	* file-get-translator.c (netfs_S_file_get_translator): Replace
	bcopy with memcpy.
	* io-seek.c (netfs_S_io_seek): Only get the lock if we need it.
	* io-stat.c (netfs_S_io_stat): Replace bcopy with memcpy.
	* io-write.c (netfs_S_io_write): Wait until the lock is needed.
	* netfs.h: Complete documentation revision.  The locking protocol
	is now very explicit.
	* nput.c (netfs_nput): Added comment.
	* nrele.c (netfs_nrele): Likewise.
	* set-get-trans.c: Likewise.

2000-03-17  Roland McGrath  <roland@baalperazim.frob.com>

	* file-exec.c (netfs_S_file_exec): Fix typo and braino in last change.

2000-03-17  Thomas Bushnell, BSG  <tb@mit.edu>

	* file-exec.c (netfs_S_file_exec): Don't use MAKE_SEND in Hurd RPC.
	* init-startup.c (netfs_startup): Likewise.

2000-03-17  Roland McGrath  <roland@baalperazim.frob.com>

	* io-reauthenticate.c (netfs_S_io_reauthenticate): Use
	ports_get_send_right.

	* dir-lookup.c (netfs_S_dir_lookup): Use ports_get_send_right.
	Deallocate DIRPORT after fshelp_fetch_root.

2000-01-25  Roland McGrath  <roland@baalperazim.frob.com>

	* dir-lookup.c (netfs_S_dir_lookup): Follow symlink despite flags if
	MUSTBEDIR is set (i.e. there was a trailing slash).

1999-10-11  Roland McGrath  <roland@baalperazim.frob.com>

	* dir-readdir.c (netfs_S_dir_readdir): Take new DATA_DEALLOC parameter.

1999-09-13  Roland McGrath  <roland@baalperazim.frob.com>

	* iostubs.c: Reverted changes related to io_map_segment.

1999-09-09  Thomas Bushnell, BSG  <tb@mit.edu>

	* fsstubs.c (netfs_S_io_pathconf): Delete function.
	* io-pathconf.c: New file.
	* Makefile (IOSRCS): Add io-pathconf.c.

1999-09-07  Thomas Bushnell, BSG  <tb@mit.edu>

	* iostubs.c (netfs_S_io_map_segment): New function.

1999-07-11  Roland McGrath  <roland@baalperazim.frob.com>

	* file-get-storage-info.c: Add #include <sys/mman.h>.
	* file-get-translator.c: Likewise.

1999-07-10  Roland McGrath  <roland@baalperazim.frob.com>

	* io-read.c: Add #include <sys/mman.h> for munmap decl.
	* release-protid.c: Likewise.

1999-07-09  Thomas Bushnell, BSG  <tb@mit.edu>

	* file-get-storage-info.c (netfs_S_file_get_storage_info): Use
	mmap instead of vm_allocate.
	* file-get-translator.c (netfs_S_file_get_translator): Likewise.
	* io-read.c (netfs_S_io_read): Likewise.

1999-07-03  Thomas Bushnell, BSG  <tb@mit.edu>

	* io-read.c (netfs_S_io_read): Use munmap instead of
	vm_deallocate.
	* release-protid.c (netfs_release_protid): Likewise.

1999-07-01  Thomas Bushnell, BSG  <tb@mit.edu>

	* nref.c: New file; guts from netfs.h.
	* nrele.c: Likewise.
	* nput.c: Likewise.
	* netfs.h (netfs_nref, netfs_nrele, netfs_nput): Replace inline
	definitions with normal declarations.
	(NETFS_EI): Remove macro.
	* netfs.c: Deleted file.
	* Makefile (OTHERSRCS): Add nref.c, nrele.c, nput.c.  Remove
	netfs.c.

Thu Mar  4 07:18:21 1999  Joel N. Weber II  <devnull@theobromine.ai.mit.edu>

	* dir-lookup.c (netfs_S_dir_lookup): Only set newnode to 1 if the
	lookup does not need to be retried as a result of getting EEXIST.

1999-02-28  Roland McGrath  <roland@baalperazim.frob.com>

	* io-revoke.c (netfs_S_io_revoke): Use ports_class_iterate.

Mon Feb 22 04:30:18 1999  Thomas Bushnell, BSG  <tb@mit.edu>

	* io-revoke.c (netfs_S_io_revoke): Protect the revocation by
	blocking other rpcs.

Sat Feb 20 20:54:26 1999  Thomas Bushnell, BSG  <tb@mit.edu>

	* io-revoke.c (netfs_S_io_revoke): Release lock before iteration.

1999-02-16  Roland McGrath  <roland@baalperazim.frob.com>

	* io-revoke.c (netfs_S_io_revoke): Fix typos.

Tue Feb 16 05:37:03 1999  Thomas Bushnell, BSG  <tb@mit.edu>

	* io-revoke.c: New file.
	* Makefile (IOSRCS): Add iorevoke.c.

Sun Jan 31 18:27:42 1999  Thomas Bushnell, BSG  <tb@mit.edu>

	* file-utimes.c (netfs_S_file_utimes): Understand new semantics
	for setting to current time.
	* netfs.h (netfs_attempt_utimes): Update documentation.

1999-01-22  Roland McGrath  <roland@baalperazim.frob.com>

	* file-set-translator.c: Remove makedev, major, minor macro definition.
	* dir-lookup.c: Likewise.

1998-08-20  Roland McGrath  <roland@baalperazim.frob.com>

	* file-get-fs-options.c (netfs_S_file_get_fs_options):
	fshelp_return_malloced_buffer renamed to iohelp_*.
	* fsys-get-options.c (netfs_S_fsys_get_options): Likewise.

Tue Jul 14 16:30:48 1998  Thomas Bushnell, n/BSG  <tb@mit.edu>

	* dir-lookup.c (netfs_S_dir_lookup): Don't require the node to be
	a directory in the null pathname case.

1997-09-09  Miles Bader  <miles@gnu.ai.mit.edu>

	* dir-lookup.c (netfs_S_dir_lookup): Fix type signature of
	short_circuited_callback1.

1997-09-05  Miles Bader  <miles@gnu.ai.mit.edu>

	* dir-lookup.c (netfs_S_dir_lookup): Re-aquire the lock on DNP when
	looping to follow a symlink.

1997-08-29  Miles Bader  <miles@gnu.ai.mit.edu>

	* file-reparent.c (netfs_S_file_reparent): Use a copy of
	CRED->user when creating NEW_CRED.

1997-08-28  Miles Bader  <miles@gnu.ai.mit.edu>

	* dir-lookup.c (netfs_S_dir_lookup): Don't lock DNP or assume it's
	locked when it shouldn't be.

Wed Aug 20 14:05:38 1997  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* init-loop.c (netfs_server_loop): New args for
	ports_manage_port_operations_multithread.

Mon Jul  7 16:25:49 1997  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* file-exec.c: Include <fcntl.h> instead of <fcntlbits.h>.
  	Suggested by Marcus G. Daniels (marcus@cathcart.sysc.pdx.edu).

1997-06-11  Miles Bader  <miles@gnu.ai.mit.edu>

	* trans-callback.c, set-get-trans.c: New files.
	* Makefile (OTHERSRCS): Add trans-callback.c & set-get-trans.c.

1997-06-09  Miles Bader  <miles@gnu.ai.mit.edu>

	* netfs.h (struct node): Remove istranslated field.
	(netfs_get_translator): New declaration.

	* dir-lookup.c (netfs_S_dir_lookup): Use S_IPTRANS bit in nn_stat
 	st_mode field rather than istranslated field.
	* fsys-getroot.c (netfs_S_fsys_getroot): Likewise.
	* file-set-translator.c (netfs_S_file_set_translator): Likewise.
	* io-stat.c (netfs_S_io_stat): Set S_IATRANS & S_IROOT bits in
	st_mode field of returned buffer if appropriate.

	* init-startup.c (netfs_startup): Supply program name with error
	messages.

Tue May 27 11:55:17 1997  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* file-chmod.c (netfs_S_file_chmod): Turn off any read-only bits.

Fri Feb 28 21:14:20 1997  Miles Bader  <miles@gnu.ai.mit.edu>

	* file-reparent.c (netfs_S_file_reparent): Implement.

Sun Feb 23 16:27:34 1997  Miles Bader  <miles@gnu.ai.mit.edu>

	* dir-mkfile.c (netfs_S_dir_mkfile): Pass context arg to
	netfs_make_peropen instead of parent node.
	* file-exec.c (netfs_S_file_exec): Likewise.
	* dir-lookup.c (netfs_S_dir_lookup): Implement shadow root
	.. traversal.
	Use context po argument to netfs_make_peropen & as cookie to
	fshelp_fetch_root, instead of parent node.
	* fsys-getroot.c (netfs_S_fsys_getroot): Add PEROPEN_CONTEXT
	variable, and pass it to netfs_make_peropen & fshelp_fetch_root.
	* netfs.h (struct peropen): Add shadow_root_parent & shadow_root
	fields.
	Removed depth field.  Rename dotdotnode field to root_parent.
	(netfs_make_peropen): Add and use CONTEXT parameter.
	* make-peropen.c (netfs_make_peropen): Add and use CONTEXT parameter.
	* release-peropen.c (netfs_release_peropen): Finalize new state.

Wed Feb 19 23:58:40 1997  Miles Bader  <miles@gnu.ai.mit.edu>

	* io-read.c (netfs_S_io_read): Support reading from symlinks.

Fri Feb 14 12:34:11 1997  Miles Bader  <miles@gnu.ai.mit.edu>

	* file-reparent.c (diskfs_S_file_reparent): New function, from
	dir-reparent.c.
	* dir-reparent.c: File removed.
	* Makefile (FSSRCS): dir-reparent.c replaced by file-reparent.c.

Mon Jan 20 16:40:02 1997  Miles Bader  <miles@gnu.ai.mit.edu>

	* dir-reparent.c (netfs_S_dir_reparent): New file.
	* Makefile (FSSRCS): Add dir-reparent.c.

Sat Nov 23 16:24:04 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* file-set-translator.c (netfs_S_file_set_translator): Delete var I.

Wed Nov 20 17:13:13 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* fsys-syncfs.c (netfs_S_fsys_syncfs): Use iohelp_create_iouser, not
	iohelp_make_iouser.

Mon Nov 18 17:06:39 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* netfs.h (netfs_report_access): Return error_t.
	* file-check-access.c (netfs_S_file_check_access): Deal with
	errors from netfs_report_access.

Sat Nov 16 17:17:50 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* io-restrict-auth.c (netfs_S_io_restrict_auth): Fix several typos.

	* fsys-getroot.c (netfs_S_fsys_getroot): iohelp_make_iouser ->
	iohelp_create_iouser.  New arg syntax for fshelp_fetch_root.

Fri Nov 15 13:39:03 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* netfs.h (struct protid): Replace member `credential' with `user'
	of new type.  All uses of old `credential' member changed to
	use `user' member.
	Change all functions that used to take `struct netcred' args to
	take `struct iouser' args.  All callers changed.
	(netfs_copy_credential, netfs_dropy_credential,
 	netfs_make_credential): Delete functions.
	* dir-lookup.c (netfs_S_dir_lookup): netfs_copy_credential ->
	iohelp_dup_iouser.
	* dir-mkfile.c (netfs_S_dir_mkfile): Likewise.
	* file-exec.c (netfs_S_file_exec): Likewise.
	* io-duplicate.c (netfs_S_io_duplicate): Likewise.
	* release-protid.c (netfs_release_protid): netfs_drop_credential
	-> iohelp_free_iouser.
	* dir-lookup.c (netfs_S_dir_lookup): Omit uses of
	netfs_interpret_credential; do it with new structures.
	* file-exec.c (netfs_S_file_exec): Likewise.
	* file-getcontrol.c (netfs_S_file_getcontrol): Likewise.
	* file-set-translator.c (netfs_S_file_set_translator): Likewise;
	using fshelp_isowner for permission check.
	* io-restrict-auth.c (netfs_S_io_restrict_auth): Likewise; guts
	rewritten.
	* dir-lookup.c (netfs_S_dir_lookup): netfs_make_credential ->
	iohelp_make_iouser.
	* fsys-getroot.c (netfs_S_fsys_getroot): Likewise.
	* fsys-syncfs.c (netfs_S_fsys_syncfs): Likewise.
	* io-reauthenticate.c (netfs_S_io_reauthenticate): Use
	iohelp_reauth instead of doing it by hand.

Mon Oct 21 21:56:33 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* netfs.h: Add extern inline protection.
	* netfs.c: New file.
	* Makefile (OTHERSRCS): Add netfs.c.

Wed Sep 18 12:56:05 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* std-runtime-argp.c <argp.h>: New include.
	* std-startup-argp.c <argp.h>: New include.
	* fsys-get-options.c (netfs_S_fsys_get_options): Initialize ARGZ
	with the program name, and call netfs_append_args instead of
	netfs_get_options.
	* file-get-fs-options.c (netfs_S_file_get_fs_options): Likewise.
	* append-std-options.c (netfs_append_std_options): Doc fix.
	* netfs.h (netfs_append_args): New declaration.
	(netfs_get_options): Declaration removed.
	<argp.h>: Include removed.
	* append-args.c (netfs_append_args): New file.
	* Makefile (OTHERSRCS): Replace get-options.c with append-args.c

	* file-get-translator.c <stdio.h>: New include.

Fri Aug 16 19:20:22 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* priv.h (end_using_protid_port): Only call ports_port_deref if
	CRED is set.

Fri Jul 26 14:34:11 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* file-exec.c (netfs_S_file_exec): Unlock NP before we attempt to
 	do setuid/setgid (which otherwise can deadlock during port reauth).
	Pay attention to the error code returned by fshelp_exec_reauth,
	and don't make NEWPI if it's an error.

Tue Jul 23 14:28:33 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* file-utimes.c (netfs_S_file_utimes): `struct timespec' now uses
	a field prefix of `tv_'.

Thu Jul 18 23:09:54 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* io-reauthenticate.c (netfs_S_io_reauthenticate): After attaching
	credential to NEWPI, install it in NETFS_PORT_BUCKET->portset.
	* make-protid.c (netfs_make_protid): If CRED is null, use
	noinstall version of ports_create_port.

Sat Jul 13 20:10:02 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* io-reauthenticate.c (netfs_S_io_reauthenticate): Repeat
 	auth_server_authenticate for as long as we get EINTR.  Tolerate
 	other errors without crashing as well.

Sun Jul  7 21:28:54 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* io-reauthenticate.c (netfs_S_io_reauthenticate): Don't use
 	unsafe MOVE_SEND in call to auth_server_authenticate.

Thu Jul  4 16:56:53 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* io-write.c (netfs_S_io_write): Bother implementing O_APPEND.

	* io-identity.c (netfs_S_io_identity): Don't take address of ID in
 	call to fshelp_get_identity.

Wed Jul  3 11:54:46 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* dir-mkfile.c (netfs_S_dir_mkfile): Return right with MAKE_SEND,
 	not COPY_SEND.

	* io-identity.c (netfs_S_io_identity): Use fshelp_get_identity
 	instead of creating port ourselves.
	* netfs.h (struct node): Delete member identity.
	* make-node.c (netfs_make_node): Don't initialize NP->identity.
	* drop-node.c (netfs_drop_node): Don't deallocate NP->identity.

Thu Jun 27 17:57:30 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* Makefile (LCLHDRS): Add execserver.h.

Thu Jun 27 00:24:57 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* append-std-options.c: New file.
	* Makefile (OTHERSRCS): Add append-std-options.c.

Wed Jun 26 15:57:13 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* netfs.h: Change options parsing interface to match libdiskfs's:
	(netfs_set_options, netfs_get_options): Updated to inew interface.
	(netfs_runtime_argp, netfs_std_runtime_argp, netfs_std_startup_arg):
	New variables.
	(netfs_append_std_options): New declaration.
	(netfs_parse_runtime_options, netfs_unparse_runtime_options):
	Functions removed.
	* set-options.c (std_runtime_options): Variable removed.
	(parse_runtime_opt): Function removed.
	(netfs_set_options): Change to use fshelp_set_options.
	* fsys-set-options.c (netfs_S_fsys_set_options): Don't convert
	options string into argv vector.
	* fsys-get-options.c (netfs_S_fsys_get_options): Use
	fshelp_return_malloced_buffer to prepare return value.
	* file-get-fs-options.c (netfs_S_file_get_fs_options): Likewise.
	* get-options.c (netfs_get_options): Call netfs_append_std_options.
	* std-startup-argp.c, std-runtime-argp.c, runtime-argp.c: New files.
	* parse-runtime-options.c, unparse-runtime-options.c: Files removed.
	* Makefile (OTHERSRCS): Add runtime-argp.c, std-runtime-argp.c,
	& std-startup-argp.c.  Remove parse-runtime-options.c &
	unparse-runtime-options.c.

Tue May 14 14:05:33 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* init-init.c (netfs_fsys_identity): New variable.
	(netfs_init): Initialize netfs_fsys_identity.
	* drop-node.c (netfs_drop_node): Destroy NP->identity if it's set.
	* make-node.c (netfs_make_node): Initialize NP->identity.
	* netfs.h (struct node): New member `identity'.
	(netfs_fsys_identity): New variable.
	* Makefile (IOSRCS): Add io-identity.c.
	* io-identity.c: New file.

Sat May 11 01:24:31 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* startup-argp.c (parse_startup_opt): Use ARGP_ERR_UNKNOWN instead
	of EINVAL.

Thu May  9 18:54:11 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* file-get-storage-info.c (netfs_S_file_get_storage_info): fixup

Thu May  9 18:15:40 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* file-get-storage-info.c (netfs_S_file_get_storage_info): Change
	to new interface.

Thu May  9 11:53:49 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* make-protid.c (netfs_make_protid): Use new ports interface; if
	it fails return zero.

	* io-select.c (netfs_S_io_select): No longer has TAG arg.

	* io-reauthenticate.c (netfs_S_io_reauthenticate): Don't pass
 	right for USER to auth_server_authenticate.

	* file-sync.c (netfs_S_file_sync): Accept and ignore new omitmeta
 	arg.

	* dir-rename.c (netfs_S_dir_rename): Accept and pass through excl
 	flag.
	* dir-link.c (netfs_S_dir_link): Likewise.
	* netfs.h (netfs_attempt_link): Add excl parm.
	(netfs_attempt_rename): Likewise.

	* netfs.h (netfs_attempt_statfs): Use struct statfs, not old
 	deprecated structure.
	* file-statfs.c (netfs_S_file_statfs): Use new struct statfs.

	* netfs.h: ioserver.h -> iohelp.h.

Mon Apr 29 16:27:37 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* file-getcontrol.c (netfs_S_file_getcontrol): Use correct args to
 	ports_create_port.

Sat Apr 27 06:02:03 1996  Roland McGrath  <roland@delasyd.gnu.ai.mit.edu>

	* file-getcontrol.c: Use ports_create_port instead of
 	ports_allocate_port, and notice the error.

Wed Apr 24 16:02:51 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* io-seek.c (netfs_S_io_seek): Bother to set *NEWOFFSET.

Fri Apr 12 16:21:53 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* file-exec.c (netfs_S_file_exec): Copy credential using
	netfs_copy_credential before handing it off to netfs_make_protid.

	* dir-lookup.c (netfs_S_dir_lookup): netfs_make_protid's second
	arg must be a real credential; the unauthenticated port creation
	frob now makes a genuine (but empty) credential.

Thu Apr 11 18:10:29 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* Makefile (fsys-MIGSFLAGS, fs-MIGSFLAGS, io-MIGSFLAGS,
 	ifsock-MIGSFLAGS): Find mutations.h in $(srcdir).

Wed Apr  3 14:47:37 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* io-reauthenticate.c (netfs_S_io_reauthenticate): In check for
	deallocation of aux_gids; check against AGBUF, not AUBUF.

Tue Apr  2 09:14:30 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* io-write.c: Include <fcntl.h>.
	(netfs_S_io_write): Verify that the user has the file open for
	writing.
	* io-read.c: Include <fcntl.h>.
 	(netfs_S_io_read): Verify that the user has the file open for
	reading.

Mon Apr  1 16:02:29 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* fsstubs.c (netfs_S_file_exec): Remove stub.
	* Makefile (FSSRCS): Add file-exec.c.
	* execserver.h: New file.
	* file-exec.c: New file.

Mon Apr  1 14:21:12 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* parse-runtime-options.c (netfs_parse_runtime_options): Pass new
	arg to arg_parse.

Tue Mar 19 14:12:32 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* Makefile (LCLHDRS): Add callbacks.h misc.h modes.h mutations.h
 	priv.h.

Mon Mar 18 11:09:05 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* netfs.h (netfs_startup): Add declaration.

	* netfs.h (netfs_protid_class, netfs_control_class,
 	netfs_port_bucket, netfs_root_node, netfs_auth_server_port): Make
 	this extern.

	* fsys-getroot.c: Include "callbacks.h".

	* file-set-translator.c (makedev): New macro.

Thu Mar 14 16:47:14 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* netfs.h (netfs_attempt_mkdev): Don't pass dev_t in pieces.
	* file-set-translator.c (netfs_S_file_set_translator): In call to
	netfs_attempt_mkdev don't pass MAJOR and MINOR in pieces.

Tue Mar 12 14:57:26 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* fsys-getroot.c (netfs_S_fsys_getroot): Add translator linkage
	code.
	* dir-lookup.c (netfs_S_dir_lookup): Fix up and enable translator
	linkage code.

	* netfs.h (netfs_attempt_chmod): Doc fix.
	(netfs_attempt_mksymlink, netfs_attempt_mkdev,
	netfs_set_translator): New declarations.
	* file-set-translator.c: New file.
	* fsstubs.c (netfs_S_file_set_translator): Delete function.
	* Makefile (FSSRCS): Add file-set-translator.c.

Mon Mar 11 16:44:08 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* fsstubs.c (netfs_S_file_get_translator): Remove function.
	* file-get-translator.c: New file.
	* Makefile (FSSRCS): Add file-get-translator.c.

Mon Mar  4 13:36:36 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* fsys-set-options.c, fsys-get-options.c, file-get-fs-options.c:
	New files.
	* netfs.h (netfs_startup_argp, netfs_get_options,
	netfs_set_options, netfs_parse_runtime_options,
	netfs_unparse_runtime_options): New declarations.
	* Makefile (OTHERSRCS): Add startup-argp.c, set-options.c,
	get-options.c, parse-runtime-options.c, & unparse-runtime-options.c.
	(FSYSSRCS): Add fsys-set-options.c & fsys-get-options.c.
	(FSSRCS): Add file-get-fs-options.c.
	* unparse-runtime-options.c (netfs_unparse_runtime_options): Add
	comment, and remove bogus semi.
	* fsysstubs.c (netfs_S_fsys_set_options, netfs_S_fsys_get_options):
	Functions removed.
	* fsstubs.c (netfs_S_file_get_fs_options): Function removed.
	* parse-runtime-options.c: Include "netfs.h", not "priv.h".
	* set-options.c: Likewise.
	(parse_runtime_opt): New function.
	* priv.h: Include <hurd/hurd_types.h>

Tue Apr 11 11:15:30 1995  Michael I Bushnell  <mib@duality.gnu.ai.mit.edu>

	* Makefile: New file.
